Loading...
Searching...
No Matches
Opm::WellTestState::WTestWell Struct Reference

## Public Member Functions

| WTestWell (const std::string &wname, WTest::Reason reason_, double last_test)
int | int_reason () const
bool | operator== (const WTestWell &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)
template<class BufferType>
void | pack (BufferType &buffer) const
template<class BufferType>
void | unpack (BufferType &buffer)

## Static Public Member Functions

static WTest::Reason | inverse_ecl_reason (int ecl_reason)
static WTestWell | serializationTestObject ()

## Public Attributes

std::string | name {}
WTest::Reason | reason {WTest::Reason::NONE}
double | last_test {}
int | num_attempt {0}
bool | closed {true}
std::optional< int > | wtest_report_step {}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Well/WellTestState.hpp
- opm/input/eclipse/Schedule/Well/WellTestState.cpp